%define name gpppoem
%define version 0.1
%define release 1mdk

Name: %name
Summary: Monitor your pppoe connection
Version: %{version}
Release: %{release}
License: GPL
Url: http://footprints.altervista.org/moduli/downloads/index.php
Group: Monitoring
Source: %{name}-%{version}.tar.bz2
Source10: gpppoem-16.png
Source11: gpppoem-32.png
Source12: gpppoem-48.png
BuildRoot: %{_tmppath}/build-root-%{name}
BuildRequires: automake >= 1.4
Buildrequires: libgnome2-devel >= 2.0
Buildrequires: libgnomeui2-devel >= 2.0

%description
Monitor your pppoe connection. 
It can also monitor your eth0 connection.

%prep
rm -rf $RPM_BUILD_ROOT
mkdir $RPM_BUILD_ROOT
%setup -q

%build
%configure

%install
rm -rf ${RPM_BUILD_ROOT}
%makeinstall_std

mkdir -p %{buildroot}/{%{_iconsdir},%{_liconsdir},%{_miconsdir}}
cp %SOURCE10 %{buildroot}/%_miconsdir/%name.png
cp %SOURCE11 %{buildroot}/%_iconsdir/%name.png
cp %SOURCE12 %{buildroot}/%_liconsdir/%name.png
mkdir -p %{buildroot}/%{_menudir}
cat << EOF > %{buildroot}/%{_menudir}/%{name}
?package(%name):command="%{_bindir}/gpppoem" icon="%name.png" \
                needs="X11" section="Applications/Monitoring" \
 title="Gpppoem" longtitle="Pppoe monitor"
EOF

%find_lang %name

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_menus

%postun
%clean_menus

%files -f %name.lang
%defattr(-,root,root,0755)
%{_bindir}/*
%_menudir/%name
%{_iconsdir}/%name.png
%{_liconsdir}/%name.png
%{_miconsdir}/%name.png

%changelog
* Thu Jul 31 2003 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.1-1mdk 
- From Bellegarde Cedric <gnumdk@wanadoo.fr>
    - Make a spec file
